package com.example.helloandroid;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.TextView;

public class DisplayMessageActivity extends Activity {

  /** Called when the activity is first created. */
  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    
    // Get the message from the intent
    Intent intent = getIntent();
    String message = intent.getStringExtra(HelloAndroidActivity.EXTRA_MESSAGE);
  
    // Create the TextView
    TextView textView = new TextView(this);
    textView.setTextSize(40);
    textView.setText(message);
    
    setContentView(textView);
    
  }
  
}
